LINUX.ORG.RU

Backports в принципе выглядит каким-то заброшенным. Там обновления последние за апрель.

Теоретически, можно попробовать подключить репозитории Неона, но, подозреваю, что ничего хорошего из этого не выйдет, и сам я пробовать это не собираюсь.

valentin13 ()
Ответ на: комментарий от mike15

А второй вопрос.

Ты уверен, что последняя версия кде в принципе есть в backports?

Это я к тому, что в kubuntu-backports версия kde не самая новая.

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 1)
Ответ на: комментарий от mike15

Короче говоря, если хочешь последний kde, ставь arch/gentoo/manjaro/calculate.

Хотя вот по большому счету что там уже такого особенно необходимого в последних кедах?

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 2)
Ответ на: комментарий от mike15

Несколько пакетов было побито….

Каких? Если ты про свою проблему с драйвером для wi-fi, то на тот момент kde neon еще не перелез на новую основу убунты (20.04).

Neon - единственный не роллинг релиз дистрибутив, где можно сидеть со свежими кедами. С бэкпортами в других дистрибутивах как повезет, рано или поздно новые кеды нельзя будет накатить на систему не разломав при этом другие приложения и они там перестанут обновляться.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Нет. Был побит Mysql server и Mysql client. Ну ещё меня не устраивало, как в неоне ведут себя другие оболочки.

Неон не катается? Вроде все говорят что он на роликах……

mike15 ()
Последнее исправление: mike15 (всего исправлений: 3)
Ответ на: комментарий от mike15

Нет. Был побит Mysql server и Mysql client.

Что-то странно, там они обычные и у меня уже больше года нормально работают и обновляются.

Неон не катается?

В неоне обновляются kde и необходимые библиотеки, а в основе убунта. В отличие от роллингов не попадешь в ситуацию (без помощи со своей стороны), когда графика не грузится и пакетный менеджер запутался в зависимостях. Использую неон там, где генту или арче недостаточно предсказуемы.

altwazar ★★ ()

Репа KDE Backports подключена, а новых кед нет!

Новым кедам нужен Qt 5.15, в 20.04 он версии 5.12. Бэкпортирование Qt без пересборки с этой новой версией всего софта, входящего в репозитории Ubuntu/Kubuntu, могут принести такие радости, как сломанные зависимости, сегфолты при запуске программ, а также ряд рандомных косяков. Поэтому лучший вариант в данном случае - Neon. Не идеальный, далеко не идеальный. Но лучший.

Sunderland93 ★★★★★ ()
Ответ на: комментарий от altwazar

Не в этом случае.

Kde Neon имеет проблему совместимости со сторонними репозиториями.

Лучший дистрибутив Линукс имеющий современный и красивый интерфейс? (комментарий)

Точно были проблемы с разруливанием зависимостей при попытке установки из

deb http://apt.llvm.org/bionic/ llvm-toolchain-bionic-10 main

Не помню точно, предположительно были проблемы при попытке установки из репозиториев

ppa:starws-box/deadbeef-player
ppa:thomas-schiex/blender
ppa:libreoffice/ppa
rumgot ★★★★★ ()
Ответ на: комментарий от mike15

В смысле 22.04.1? На этой версии будут актуальные кеды?

В кубунте, на момент релиза, самый свежайшей KDE LTS, 5.18.5 (вроде бы). Такая политика дистрибутива с длительной поддержкой.

Хочешь свежатинки, ставь другой дистрибутив. Меня устраивает KDE Neon – всегда свежие кеды на лтсной убунте.

anonymous ()
Ответ на: комментарий от Sunderland93

Поэтому лучший вариант в данном случае - Neon. Не идеальный, далеко не идеальный. Но лучший.

Ну так ничего идеального в природе не бывает. Neon - лучший вариант из возможных, если нужны самые свежие кеды и софт от KDE под стабильной лтсной убунтой. Юзаю Neon вместо кубунты с 2017-го и обратно не собираюсь

anonymous ()
Ответ на: комментарий от rumgot

Gentoo/Calculate/Arch/Manjaro.

После этих дистрибутивов внезапно отпавший kwin вообще не будет восприниматься как проблема. Говорю как человек, у которого гентушки и арчи в качестве основной системы.

Не помню точно, предположительно были проблемы при попытке установки из репозиториев

Вот про эту помощь в поломке системы со стороны пользователя я и говорю. Из-за изменений в neon-e его можно сломать сторонними репозиториями убунты с большей вероятностью, чем саму убунту. Но перед переходом на роллинг релизы лучше научиться решать подобные проблемы.

А так, да, нужны свежие версии? Проще арч или табмлвид. Нужен контроль над версиями? Генту. Но надо уметь разруливать проблемы с зависимостями и отвалами сети/графики/звука.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Говорю как человек, у которого гентушки и арчи в качестве основной системы.

Генту был основной системой около года и арч столько же у меня. Поэтому мне про это рассказывать не нужно.

Но перед переходом на роллинг релизы лучше научиться решать подобные проблемы.

В случае Kde Neon - это проблема не пользователя. Это проблема архитектуры существующих зависимостей. Ее конечно можно попытаться решить, но скорее всего получится кустарное говно на костылях. И знание этих костылей никак не поможет в освоении генту.

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 2)
Ответ на: комментарий от rumgot

В случае Kde Neon - это проблема не пользователя.

Если пользователь подключает несовместимый с системой репозиторий, то это проблема пользователя.

И знание этих костылей никак не поможет в освоении генту.

Обдумывать свои действия и понимать к чему приводят сломанные зависимости и левые источники очень полезно для освоения генту. Не будет потом желания лепить оверлей и использовать автоанмаск при каждом удобном случае. Свежий KDE в оверлее? Видимо на это есть причина. Deadbeef замаскирован? Видимо в нем что-то не допилили или он тащит за собой странные зависимости, проще пока запустить из бинарника. Нужны отсутствующие в системе библиотеки и компиляторы? Возможно стоит организовать отдельную от основной системы среду для сборки.

Все подобные проблемы из одного места растут. В kubuntu нет свежего kde в бэкпортах так как это частично сломает совместимость с *бунтой, в неоне совместимость частично сломана ради свежего kde. Неон сам по себе - кубунта с «оверлеем» KDE. С другими «оверлеями» убунты совместимость они не поддерживают. Так как KDE у них а ля роллинг, то наличие совместимости сегодня не гарантирует совместимость завтра. Сломанные зависимости поставят в тупик как apt, так и portage. Опыт работы с одним дистрибутивом отлично переносится в другой.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Если пользователь подключает несовместимый с системой репозиторий, то это проблема пользователя.

Там система - это Ubuntu на 95%. И репозиторий не совместим не с системой, а репозиторий несовместим с репозиторием neon. Т.е. они взяли Ubuntu, подключили к ней свой репозиторий и после этого много прекрасно совместимых с Ubuntu репозиториев перестали работать. Если они сломали зависимости своим репозиторием - то это они рукожопы. Вот почему-то Linux Mint это тоже в основе своей - это Ubuntu, но там подключение сторонних репозиториев не сломано (по крайней мере те, что я подключал и которые не подключались в Neon). Поэтому пользоваться системой в которой создатели решили «Вот нате вам новые Кеды, а если вам еще что нужно - хер вам» мне не очень хочется.

Обдумывать свои действия

Слишком общий термин. Без него в принципе ничего не будет.

Опыт работы с одним дистрибутивом отлично переносится в другой

Переносится только некоторая часть не привязанная к конкретному инструментарию. Но не вся. Вот что-то когда я перешел с Генту на убунту знание параметров emerge не помогло мне в работе с apt/apt-get/aptitude. Или знания об USE флагах и прочее.

Короче говоря, хочешь учить Генту - учи Генту, а не так: сначала поразруливай косяки создателей Kde Neon, а потом в Генту.

rumgot ★★★★★ ()
Ответ на: комментарий от rumgot

… а репозиторий несовместим с репозиторием neon.

Да, обычная ситуация пересечения зависимостей для репозиториев или несовместимости с другим дистрибутивом (что практически одно и то же).

Вот почему-то Linux Mint это тоже в основе своей - это Ubuntu, но там подключение сторонних репозиториев не сломано (по крайней мере те, что я подключал и которые не подключались в Neon).

Никто не ломает. Это общий принцип работы с репозиториями - чем больше репа, тем больше вероятность получить конфликт по зависимостям с другим репозиторием. Бездумное подключение реп - не проблема неона, это незнание основ работы с пакетными менеджерами у пользователя. Они известны еще с времен, когда убунты в помине не было.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Бездумное подключение реп - не проблема неона

Вот хочется что-нибудь матное сказать. Что значит бездумное? Или что, теперь попытка подключения любого репозитория, который несовместим с репом неона - бездумна? Отличная тактика: все что не работает с нашим репом - херня, подключить ее - значит поступить безхдумно и т.п.

это незнание основ работы с пакетными менеджерами у пользователя

Хм. Не уж, пожалуй без мата тут не будет :-). Что ты несешь? При чем тут пользователь? Знает он основы или нет - это никак не влияет на тот факт, что реп neona не совместим по зависимостям с некоторыми репами, которые при этом совместимы с репами убунту. Ты перемешиваешь причину и следствие. У неона плохо совместимый репозиторий с другими репозиториями из-за этого пользователь не может их подключить пользуясь системой неон. А вовсе не так: пользователь пытается подключить дополнительные репозитории на системе неон в результате эти репозитории несовместимы с репозиторием неона.

не проблема неона

Конечно не их проблема. Я это прекрасно вижу с тех пор как первый раз попробовал его и затем с выходом новых версий иногда пробую повторно. Причем если бы они не клали хер на пользователей - это была бы ИХ ПРОБЛЕМА и их пользователей было бы намного больше.

Никто не ломает.

Именно ломают тем, что кладут болт на пользователей.

Это общий принцип работы с репозиториями - чем больше репа, тем больше вероятность получить конфликт по зависимостям с другим репозиторием.

Тут дело не в размере :-)

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 1)
Ответ на: комментарий от rumgot

Или что, теперь попытка подключения любого репозитория, который несовместим с репом неона - бездумна?

Использование репозитория, который несовместим с любым другим репозитореием или версией ОС (что в рамках управления пакетами одно и тоже) - действие, которое пользователь совершает на свой страх и риск. Это основа использования репозиториев.

Неон, как и его репозиторий, содержит свежую версию kde, qt, и необходимых для их работы библиотек. Что ломает совместимость с другими репами, которые также зависят или меняют версии kde,qt, и сопутствующих библиотек. Свежие версии kde и qt - основная причина существования neon.

Знает он основы или нет - это никак не влияет на тот факт, что реп neona не совместим по зависимостям с некоторыми репами, которые при этом совместимы с репами убунту.

Если пользователь знает основы, то несовместимость одних реп с другими его нисколько не удивит. Он либо откажется от использования такой репы, либо посидит на кубунте со старой kde. Его так же не удивят сломанные при обновлении AUR пакеты в арче и пазлы зависимостей в оверлеях генту.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Использование репозитория, который несовместим с любым другим репозитореием или версией ОС (что в рамках управления пакетами одно и тоже)

Да нет бля. Это не одно и тоже. Базовая система убунту - это полноценная ОС. Neon - это убунту с подключенным репозиторием.

Это основа использования репозиториев

Тебе нравится озвучивать утверждение и тут же петь себе за него дифирамбы? Молодецом.

Если пользователь знает основы, то несовместимость одних реп с другими его нисколько не удивит. Он либо откажется от использования такой репы, либо посидит на кубунте со старой kde

И что это доказывает? Еще раз повторю: не нужно смотреть на пользователя. Ты смотри на факты. Реп неона сделан несовместимым и они не утруждали себя сделать нормально.

Ты пишешь, мол ну и что, пусть не совместим, это нормально. Но я так не считаю. Вот если бы все сторонние репозитории работали так же и чтобы это было? В убунту бы перестало быть возможно в принципе поключить два сторонних репа. Это что можно считать за норму. Я думаю нет. Ты очевидно иначе. Слава богу, что большинство создателей репозиториев, которыми я пользуюсь, думают так же как я.

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 2)
Ответ на: комментарий от rumgot

Еще раз повторю: не нужно смотреть на пользователя. Ты смотри на факты.

Вот тебе факты. Ты не имеешь представления о работе с репозиториями и пакетами в линуксе, но катишь бочку на разработчиков.

Ладно бы гнал пользователь минта или *бунты, там можно ничего не знать и жить годами. Но чтобы пользователь роллинг дистров не понимал проблему зависимостей и сторонних репозиториев - это что-то новое. Ну невозможно не понимать такую элементарщину, когда чинил пакеты из AUR-а или развязывал зависимости в портедже. Не может человек с опытом фулл-роллинг диструбутива посоветовать фулл-роллинг дистрибутив, так как его запутал легкий роллинг в виде kde с qt на стабильной базе.

altwazar ★★ ()
Ответ на: комментарий от altwazar

Вот тебе факты. Ты не имеешь представления о работе с репозиториями и пакетами в линуксе, но катишь бочку на разработчиков.

Серьезное заявление. Я имею более 10 лет работы на линукс в качестве основной системы и оказывается не имею представление о работе с репами. Ну-ну. Отличный факт. Это как сказать Хабибу что-то вроде «ты не умеешь драться…». Только открою тебе секрет: оттого что ты сам его выдумал, фактом не станет. Я вот тоже могу сказать, что ты в платьице наряжаешься, только фактом это не станет, это так не работает.

чтобы пользователь роллинг дистров не понимал проблему зависимостей и сторонних репозиториев - это что-то новое

Ты все читаешь, что я тебе пишу или как? Обоснуй, в чем выражается по твоему факт, что я этого не понимаю?

так как его запутал легкий роллинг в виде kde с qt на стабильной базе

Опять ты вывалил громкое заявление и сам принял его за аксиому. Опять обоснуй. Кого что запутало? Где ты это прочитал? Я писал про проблемы подключения некоторых репозиториев и это факты. Ты пишешь какие-то из неба взятые вещи и на их основе что-то себе фантазируешь. Вся нужно обосновывать, так зрелые люди поступают, а иначе это пустое тяфканье.

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 2)